Bug 822832 - Review Request: josql - Library to apply SQL-like syntax to Java objects
Review Request: josql - Library to apply SQL-like syntax to Java objects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On: 822831
Blocks: 968136
  Show dependency treegraph
 
Reported: 2012-05-18 06:01 EDT by gil cattaneo
Modified: 2013-06-13 01:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: josql-2.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-18 06:01:20 EDT
Spec URL: http://gil.fedorapeople.org/josql.spec
SRPM URL: http://gil.fedorapeople.org/josql-2.2-1.fc16.src.rpm
Description: JoSQL (SQL for Java Objects) provides the ability for a developer to apply
a SQL statement to a collection of Java Objects. JoSQL provides the ability
to search, order and group ANY Java objects and should be applied when you
want to perform SQL-like queries on a collection of Java Objects.
Comment 1 Matt Spaulding 2013-06-01 02:42:30 EDT
Hi Gil,


Overall, the package looks good. The only thing to fix is to remove the jpackage-utils BR for the javadoc subpackage as it is unnecessary. The official review is below.


APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in josql-
     javadoc
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[X]: Pom files have correct Maven mapping
[X]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     Note: No tests available to run.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: josql-2.2-1.fc18.noarch.rpm
          josql-javadoc-2.2-1.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint josql josql-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
josql (rpmlib, GLIBC filtered):
    java
    jpackage-utils

josql-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
josql:
    josql
    mvn(net.sf.josql:josql)
    mvn(net.sourceforge.josql:josql)

josql-javadoc:
    josql-javadoc



Source checksums
----------------
http://sourceforge.net/projects/josql/files/josql/stable-2.2/JoSQL-src-stable-2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 44235a00057a87801216cb8baa4be1d3897cb750d0092bae8d518a5d1dd17edc
  CHECKSUM(SHA256) upstream package : 44235a00057a87801216cb8baa4be1d3897cb750d0092bae8d518a5d1dd17edc


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 822832
Comment 2 gil cattaneo 2013-06-01 03:58:40 EDT
Thanks for the review

Spec URL: http://gil.fedorapeople.org/josql.spec
SRPM URL: http://gil.fedorapeople.org/josql-2.2-1.fc18.src.rpm

- removed jpackage-utils references

New Package SCM Request
=======================
Package Name: josql
Short Description: Library to apply SQL-like syntax to Java objects
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig
Comment 3 Matt Spaulding 2013-06-01 11:48:00 EDT
> 
> - removed jpackage-utils references
> 

It looks like you removed all jpackage-utils references. Only the one for the javadoc subpackage needs to be removed.
Comment 4 gil cattaneo 2013-06-01 12:32:31 EDT
Spec URL: http://gil.fedorapeople.org/josql.spec
SRPM URL: http://gil.fedorapeople.org/josql-2.2-1.fc18.src.rpm

- done
Comment 5 Gwyn Ciesla 2013-06-03 06:12:22 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-03 07:00:09 EDT
josql-2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/josql-2.2-1.fc19
Comment 7 Fedora Update System 2013-06-03 07:14:08 EDT
josql-2.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/josql-2.2-1.fc18
Comment 8 Fedora Update System 2013-06-03 10:41:45 EDT
josql-2.2-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-11 23:30:43 EDT
josql-2.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-06-13 01:54:01 EDT
josql-2.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.